import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { rules } from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
import { getWeekMonthQuarterYear } from '/@/utils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '创建日期',
    align: 'center',
    dataIndex: 'createTime',
  },
  {
    title: '更新日期',
    align: 'center',
    sorter: true,
    dataIndex: 'updateTime',
  },
  {
    title: '站点推送时间',
    align: 'center',
    sorter: true,
    dataIndex: 'requestTime',
  },
  {
    title: '站点名称',
    align: 'center',
    dataIndex: 'siteCode_dictText',
  },
  {
    title: '产品ID',
    align: 'center',
    sorter: true,
    dataIndex: 'productId',
  },
  {
    title: '产品类型',
    align: 'center',
    dataIndex: 'productType',
  },
  {
    title: '产品状态',
    align: 'center',
    sorter: true,
    dataIndex: 'actionType',
  },
  {
    title: '产品名称',
    align: 'center',
    dataIndex: 'productName',
  },
  {
    title: '产品中文名称',
    align: 'center',
    dataIndex: 'productNameZh',
  },
  {
    title: '产品封面图',
    align: 'center',
    dataIndex: 'productImage',
  },
  {
    title: '产品分类',
    align: 'center',
    dataIndex: 'categoryName',
  },
  {
    title: '产品作者',
    align: 'center',
    dataIndex: 'authorName',
  },
];

// 高级查询数据
export const superQuerySchema = {
  createBy: { title: '创建人', order: 0, view: 'text', type: 'string' },
  createTime: { title: '创建日期', order: 1, view: 'datetime', type: 'string' },
  updateBy: { title: '更新人', order: 2, view: 'text', type: 'string' },
  updateTime: { title: '更新日期', order: 3, view: 'datetime', type: 'string' },
  siteCode: { title: '站点code', order: 4, view: 'text', type: 'string' },
  requestTime: { title: 'mq生产时间', order: 5, view: 'text', type: 'string' },
  productId: { title: '产品ID', order: 6, view: 'number', type: 'number' },
  productType: { title: '产品类型', order: 7, view: 'text', type: 'string' },
  actionType: { title: '产品操状态', order: 8, view: 'text', type: 'string' },
  productName: { title: '产品名称', order: 9, view: 'text', type: 'string' },
  productsNameZh: { title: '产品中文名称', order: 10, view: 'text', type: 'string' },
  categoryName: { title: '产品分类', order: 13, view: 'text', type: 'string' },
  authorName: { title: '产品作者', order: 14, view: 'text', type: 'string' },
};
